Patchwork [02/33] liberation-fonts: postinst can't be called offline

login
register
mail settings
Submitter Saul Wold
Date May 3, 2011, 11:44 p.m.
Message ID <41b49e07aa5b387732f40225d65d129b9acc7db7.1304465724.git.sgw@linux.intel.com>
Download mbox | patch
Permalink /patch/3123/
State New, archived
Headers show

Comments

Saul Wold - May 3, 2011, 11:44 p.m.
From: Ilya Yanok <yanok@emcraft.com>

fc-cache should be called on target system. Or maybe we should pass a
suitable directory list to it?

Signed-off-by: Ilya Yanok <yanok@emcraft.com>
Signed-off-by: Saul Wold <sgw@linux.intel.com>
---
 .../ttf-fonts/liberation-fonts_1.04.bb             |    3 +++
 .../ttf-fonts/liberation-fonts_1.06.bb             |    3 +++
 2 files changed, 6 insertions(+), 0 deletions(-)

Patch

diff --git a/meta/recipes-graphics/ttf-fonts/liberation-fonts_1.04.bb b/meta/recipes-graphics/ttf-fonts/liberation-fonts_1.04.bb
index c50d6eb..81aee0e 100644
--- a/meta/recipes-graphics/ttf-fonts/liberation-fonts_1.04.bb
+++ b/meta/recipes-graphics/ttf-fonts/liberation-fonts_1.04.bb
@@ -34,6 +34,9 @@  do_install () {
 
 pkg_postinst_${PN} () {
 #!/bin/sh
+if [ "x$D" != "x" ] ; then
+	exit 1
+fi
 fc-cache
 }
 
diff --git a/meta/recipes-graphics/ttf-fonts/liberation-fonts_1.06.bb b/meta/recipes-graphics/ttf-fonts/liberation-fonts_1.06.bb
index d910cff..1f023b7 100644
--- a/meta/recipes-graphics/ttf-fonts/liberation-fonts_1.06.bb
+++ b/meta/recipes-graphics/ttf-fonts/liberation-fonts_1.06.bb
@@ -35,6 +35,9 @@  do_install () {
 
 pkg_postinst_${PN} () {
 #!/bin/sh
+if [ "x$D" != "x" ] ; then
+	exit 1
+fi
 fc-cache
 }